Qt 5.7 | Qt 3D | C++ Classes | QLayerFilter

Qt 5.7.1 Reference Documentation

# QLayerFilter Class

(Qt3DRender::QLayerFilter)

Controls layers Drawn in a frame graph branch. More...

Header: | #include <QLayerFilter>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | LayerFilter
Inherits: | QFrameGraphNode

- List of all members, including inherited members

## Public Functions

| QLayerFilter(Qt3DCore::QNode *parent = nullptr)
void | addLayer(QLayer *layer)
QVector<QLayer *> | layers() const
void | removeLayer(QLayer *layer)

- 1 public function inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QLayerFilter(QLayerFilterPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 properties inherited from Qt3DCore::QNode
- 2 public slots inherited from Qt3DCore::QNode
- 3 signals inherited from Qt3DCore::QNode

## Detailed Description

Controls layers Drawn in a frame graph branch.

A Qt3DRender::QLayerFilter can be used to instruct the renderer as to which layer(s) to draw in that branch of the frame graph. The Qt3DRender::QLayerFilter selects which entities to draw based on the Qt3DRender::QLayer instances added to the QLayerFilter and as components to the Qt3DCore::QEntity.

## Member Function Documentation

### QLayerFilter::QLayerFilter(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QLayerFilter.

### `[protected]` QLayerFilter::QLayerFilter(QLayerFilterPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.

### void QLayerFilter::addLayer(QLayer *layer)

Add layer to the current list of layers

### QVector<QLayer *> QLayerFilter::layers() const

Returns the current list of layers

### void QLayerFilter::removeLayer(QLayer *layer)

Remove layer from the current list of layers